import java.text.*;

class Employee extends Person
{  
   public Employee(String n, double s)
   {  
      // pass name to superclass constructor
      super(n);
      salary = s;
   }

   public double getSalary()
   {  
      return salary;
   }

   public String getDescription()
   {  
      NumberFormat formatter
         = NumberFormat.getCurrencyInstance();
      return "an employee with a salary of "
         + formatter.format(salary);
   }

   public void raiseSalary(double byPercent)
   {  
      double raise = salary * byPercent / 100;
      salary += raise;
   }

   private double salary;
}
